Автор Тема: Fedora core 5 building problem  (Прочетена 3930 пъти)

Shyne

  • Напреднали
  • *****
  • Публикации: 16
    • Профил
Fedora core 5 building problem
« -: Nov 13, 2006, 13:15 »
Здравейте.
Имам два проблема.
Първият е че не мога да исталирам софтуер.
Примерно си свалям един речник. И след това в конзолата
./configure

Ето го и резултата:
Примерен код

[root@localhost kbedic-4.0]# ./configure
loading cache ./config.cache
checking host system type... i686-pc-linux-gnu
checking target system type... i686-pc-linux-gnu
checking build system type... i686-pc-linux-gnu
checking for a BSD compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets ${MAKE}... yes
checking for gcc... gcc
checking whether the C compiler (gcc  ) works... yes
checking whether the C compiler (gcc  ) is a cross-compiler... no
checking whether we are using GNU C... yes
checking whether gcc accepts -g... yes
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking how to run the C preprocessor... gcc -E
checking for c++... c++
checking whether the C++ compiler (c++  ) works... yes
checking whether the C++ compiler (c++  ) is a cross-compiler... no
checking whether we are using GNU C++... yes
checking whether c++ accepts -g... yes
checking dependency style of c++... gcc3
checking whether make sets ${MAKE}... (cached) yes
checking for a BSD compatible install... /usr/bin/install -c
checking for ANSI C header files... yes
checking for X... libraries , headers
checking for dnet_ntoa in -ldnet... no
checking for dnet_ntoa in -ldnet_stub... no
checking for gethostbyname... yes
checking for connect... yes
checking for remove... yes
checking for shmat... yes
checking for IceConnectionNumber in -lICE... yes
checking for QT libraries... no
configure: error: You need to have the QT 3.0 or higher libraries installed



Което ме навява на мисълта, че или нямам QT 3.0 или е по малка версия. От каде мога да си го взема или да ъпгрейдна текущата '<img'>


И другото което е, не мога да подкарам .bin дайлове. Ето е едно примерче с тях:

Примерен код

[root@localhost Desktop]# ./ZendStudio-5_2_0.bin
Preparing to install...
Extracting the JRE from the installer archive...
Unpacking the JRE...
Extracting the installation resources from the installer archive...
Configuring the installer for this system's environment...
awk: error while loading shared libraries: libdl.so.2: cannot open shared object file: No such file or directory
dirname: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
/bin/ls: error while loading shared libraries: librt.so.1: cannot open shared object file: No such file or directory
basename: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
dirname: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
basename: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
hostname: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory

Launching installer...

grep: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
/tmp/install.dir.17025/Linux/resource/jre/bin/java: error while loading shared libraries: libpthread.so.0: cannot open shared object file: No such file or directory

Активен

И кръстникът си има кръсник

Lord Bad

  • Напреднали
  • *****
  • Публикации: 1667
  • Distribution: Fedora 13
  • Window Manager: GNOME
  • Jedi Knight
    • Профил
Fedora core 5 building problem
« Отговор #1 -: Nov 13, 2006, 13:36 »
man yum за qt-то
==========
за bin-овете - както виждаш самия файл се изпълнява просто нямаш библиотеки необходими на зенд да се инсталира. Няма да питам легален ли е тоя зенд...:)

П.С. Опа ся видях че ти дава че нямаш библиотеки, които със сигурнсот имаш - няма да е лошо да погледнеш файла ld.so.conf и ldconfig за повече инфо.



Активен

Fuelled by Fedora 13 "Goddard"
====================================
Rock it!

Shyne

  • Напреднали
  • *****
  • Публикации: 16
    • Профил
Fedora core 5 building problem
« Отговор #2 -: Nov 13, 2006, 13:54 »
Мерси за бързия отговор.
Относно yum знам какво е и знам как се използва. Но не мога да намеря QT 3.0 там. Като използвам yum search  qt ми излязат хялада такива пакета, и не мога да намеря това което търся. Ако можеш да ми кажеш направо как се казва за да си го инстална.

За боновете, не е само тоя Zend, просто примера е с него. Всичките ми бин-ове са така.

Ето и съдържанието на ld.so.conf
Примерен код

include ld.so.conf.d/*.conf




Активен

И кръстникът си има кръсник

Ali Nebi

  • Напреднали
  • *****
  • Публикации: 394
  • Distribution: Centos, Debian, Fedora, Ubuntu
  • Window Manager: Gnome
    • Профил
Fedora core 5 building problem
« Отговор #3 -: Nov 13, 2006, 14:11 »
Ами за един речник и аз се пробвах да го инстална и имаше проблем с QT библиотеките, не можеше да ги намери, а бяха инсталирани, виж в README файла на програмата, може да пише как да си опишеш директорията до библиотеките ако го имаш инсталиран. Ако ли не, в зависимост от това каква грешка ти връща по преме на компилиране, може да си изтеглиш необходимите неща с юм....

П.С. Направи това:

rpm -qa | grep qt  и виж какво ще ти върне...

П.С. Сега видях, че се опитваш да инсталираш същия речник, за който говорех и аз  '<img'>



Активен

Не се задоволявай да бъдеш дим, когато можеш да бъдеш огън!

Shyne

  • Напреднали
  • *****
  • Публикации: 16
    • Профил
Fedora core 5 building problem
« Отговор #4 -: Nov 13, 2006, 14:16 »
rpm -qa | grep qt
Примерен код
qt-3.3.7-0.1.fc5

 ':huh:'  ':huh:'  ':huh:'  Ако сам прав, значи имам QT 3.3.7, тоест не трябва да има проблеми. Това което се сещам в момента е объркани пътища до QT. Ако е това, можеш ли да ми хелпнеш как да ги оправя  ':xclam:'
Активен

И кръстникът си има кръсник

Ali Nebi

  • Напреднали
  • *****
  • Публикации: 394
  • Distribution: Centos, Debian, Fedora, Ubuntu
  • Window Manager: Gnome
    • Профил
Fedora core 5 building problem
« Отговор #5 -: Nov 13, 2006, 14:23 »
Сега ще видя, само че изчакай само минутка да изтегля кбедика да му вия реадми то, ... иначе при мен това е пътя: /usr/lib/qt-3.3/lib


П.С. Ето това пише в ИНСТАЛ

Цитат

 Usualy you may have problems with Qt path. You can
use this variables to set the path to your Qt:

   ./configure --with-qt-libraries=/path/to/qt/lib
--with-qt-inclides=/path/to/qt/include
--with-qt-moc=/path/to/qt/bin/moc


По този начин си описваш пътя



Активен

Не се задоволявай да бъдеш дим, когато можеш да бъдеш огън!

redcure

  • Напреднали
  • *****
  • Публикации: 914
    • Профил
Fedora core 5 building problem
« Отговор #6 -: Nov 13, 2006, 14:40 »
libqt3-mt-dev или libqt3-mt инсталирал ли си?  '<img'>
При мен са така, но във федората може и да са под друго име :'(

Примерен код

yum install qt-devel
ln -s /usr/lib/qt-3.3/ /usr/lib/qt3 # или която версия имаш инсталирана

и след това пак пробвай да компилираш



Активен

Debian testing 2.6.18, Enlightenment DR17

http://www.debian.org/doc/manuals/apt-howto/index.en.html

Ali Nebi

  • Напреднали
  • *****
  • Публикации: 394
  • Distribution: Centos, Debian, Fedora, Ubuntu
  • Window Manager: Gnome
    • Профил
Fedora core 5 building problem
« Отговор #7 -: Nov 13, 2006, 14:47 »
Аз съм с Федора 6, но и на Федора 5 мисля, че ще е същото:

/usr/lib/qt-3.3
/usr/lib/qt-3.3/lib/libqt-mt.so.3.3
/usr/lib/qt-3.3/lib/libqt-mt.so.3
/usr/lib/qt-3.3/lib/libqt-mt.so.3.3.7
/usr/lib/qt-3.3/etc/settings/.qtrc.lock
/usr/lib/qt-3.3/etc/settings/.qt_plugins_3.3rc.lock
/usr/lib/qt-3.3/etc/settings/qtrc
/usr/lib/qt-3.3/etc/settings/qt_plugins_3.3rc
Активен

Не се задоволявай да бъдеш дим, когато можеш да бъдеш огън!

Hapkoc

  • Напреднали
  • *****
  • Публикации: 2117
    • Профил
Fedora core 5 building problem
« Отговор #8 -: Nov 13, 2006, 15:05 »
$ yum list | grep qt | grep devel
avahi-qt3-devel.i386                     0.6.11-6.fc6           core            
qt-devel.i386                            1:3.3.7-0.1.fc6        updates        
qt-devel-docs.i386                       1:3.3.7-0.1.fc6        updates        
qt4-devel.i386                           4.2.1-2.fc6            extras          
qt4-qsa-devel.i386                       1.2.1-20.fc6           extras  

Вярвам, че ти трябват тези пакети.
Активен

Lord Bad

  • Напреднали
  • *****
  • Публикации: 1667
  • Distribution: Fedora 13
  • Window Manager: GNOME
  • Jedi Knight
    • Профил
Fedora core 5 building problem
« Отговор #9 -: Nov 13, 2006, 15:43 »
Само първите 2 му трябват. Във всеки случай това му е най-малкия проблем като гледам че в терминала си получава грешки от разни програми че не могат да намерят дори libc...
Активен

Fuelled by Fedora 13 "Goddard"
====================================
Rock it!

Shyne

  • Напреднали
  • *****
  • Публикации: 16
    • Профил
Fedora core 5 building problem
« Отговор #10 -: Nov 13, 2006, 20:20 »
Цитат (redcure @ Ноември 13 2006,17:40)
libqt3-mt-dev или libqt3-mt инсталирал ли си?  '<img'>
При мен са така, но във федората може и да са под друго име :'(

Примерен код

yum install qt-devel
ln -s /usr/lib/qt-3.3/ /usr/lib/qt3 # или която версия имаш инсталирана

и след това пак пробвай да компилираш

Ето това е '<img'>
10000000000хххххххххххххх

Сега само да оправя проблема с биновете и сам 6+ '<img'>
Активен

И кръстникът си има кръсник

Подобни теми
Заглавие Започната от Отговора Прегледи Последна публикация
imam problem s Fedora Core 1
Настройка на програми
NaSkO 5 2860 Последна публикация Jan 17, 2004, 18:26
от vesko_dechev
Problem s RTL 1839 na Fedora Core 2
Настройка на хардуер
hellmaker 11 3331 Последна публикация Jun 16, 2004, 19:21
от ohubohu
Fedora Core 1 i Windows XP problem...
Настройка на програми
TihiaDon 5 2643 Последна публикация Sep 27, 2004, 13:51
от sdr
Problem s Fedora Core 2
Настройка на програми
CyberBoy 7 4447 Последна публикация Sep 28, 2004, 15:23
от
Problem s Fedora Core 3 KDE
Настройка на програми
martin_tzankov 1 1835 Последна публикация Jan 26, 2005, 00:45
от yamahadrums